# Use the official Node.js image as base
FROM node:20-alpine 

# Set the working directory
WORKDIR /app

# Copy package.json and package-lock.json
COPY package*.json ./

# Install dependencies
RUN npm install

# Copy the rest of the application
COPY . .

# Expose the port your app runs on
EXPOSE 5001

# Command to run your app using nodemon
CMD ["npm", "start"]
